/**
 * AGUA Copyright (C) 2023  Atix Labs
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

@import 'css/mixins/_fonts.scss';
@import 'css/_variables.scss';

.coaNavbarProfile {
  display: flex;
  align-items: center;
  column-gap: 0.875rem;
  width: 18rem;
  background: $light-gray-2;
  padding-inline: 2.0625rem 3.75rem;
  height: 100%;

  &__user {
    display: flex;
    align-items: center;
    flex-grow: 1;
    justify-content: space-between;
    height: 100%;
    &__details {
      h2 {
        overflow: hidden;
        white-space: nowrap;
        text-overflow: ellipsis;
      }
      width: 5.8rem;
    }
  }

  &__userName {
    @include primary-text(0.75rem, $original-black, 400);
  }
  &__userRole {
    @include primary-text(0.75rem, $coa-grey-100, 300);
  }

  &__dropdownIcon {
    height: 100%;
    display: flex;
    align-items: center;
  }
}

.customMenu {
  &__item {
    &__icon {
      font-size: 1rem !important;
      color: $coa-grey-100;
    }
    &__text {
      @include primary-text(0.75rem, $coa-grey-100, 300);
    }
  }
}
